cURL
curl --request DELETE \
--url https://api.recoupable.dev/api/artists/{id} \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.recoupable.dev/api/artists/{id}"
payload = { "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.recoupable.dev/api/artists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"artistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}Artists
Delete Artist
Delete an artist accessible to the authenticated account.
DELETE
/
api
/
artists
/
{id}
cURL
Path Parameters
Artist account ID to delete.
Body
application/json
Optional account context override.
UUID of the account whose artist should be deleted. Only applicable when the authenticated account has access to multiple accounts via organization membership or Recoup admin access. If not provided, the deletion runs in the API key's own account context.
Was this page helpful?
⌘I
